Logging

Get MCP tool log by ID

Retrieves a single MCP tool execution log by ID, including hydrated object-storage payloads when configured.

GET
/api/mcp-logs/{id}
AuthorizationBearer <token>

Bearer token authentication. Use your MPilot virtual-key JWT or admin JWT. Virtual keys (prefixed with sk-bf-) can also be passed here.

In: header

Path Parameters

idstring

MCP tool log ID

Response Body

curl -X GET "https://loading/{AI_GATEWAY_URL}/api/mcp-logs/string"
{
  "id": "string",
  "llm_request_id": "string",
  "timestamp": "2019-08-24T14:15:22Z",
  "tool_name": "string",
  "server_label": "string",
  "virtual_key_id": "string",
  "virtual_key_name": "string",
  "arguments": {},
  "result": {},
  "error_details": {
    "event_id": "string",
    "type": "string",
    "is_bifrost_error": true,
    "status_code": 0,
    "error": {
      "type": "string",
      "code": "string",
      "message": "string",
      "param": "string",
      "event_id": "string"
    },
    "extra_fields": {
      "provider": "openai",
      "model_requested": "string",
      "request_type": "string"
    }
  },
  "latency": 0,
  "cost": 0,
  "status": "processing",
  "metadata": {},
  "created_at": "2019-08-24T14:15:22Z",
  "virtual_key": {}
}
{
  "event_id": "string",
  "type": "string",
  "is_bifrost_error": true,
  "status_code": 0,
  "error": {
    "type": "string",
    "code": "string",
    "message": "string",
    "param": "string",
    "event_id": "string"
  },
  "extra_fields": {
    "provider": "openai",
    "model_requested": "string",
    "request_type": "string"
  }
}
{
  "event_id": "string",
  "type": "string",
  "is_bifrost_error": true,
  "status_code": 0,
  "error": {
    "type": "string",
    "code": "string",
    "message": "string",
    "param": "string",
    "event_id": "string"
  },
  "extra_fields": {
    "provider": "openai",
    "model_requested": "string",
    "request_type": "string"
  }
}
{
  "event_id": "string",
  "type": "string",
  "is_bifrost_error": true,
  "status_code": 0,
  "error": {
    "type": "string",
    "code": "string",
    "message": "string",
    "param": "string",
    "event_id": "string"
  },
  "extra_fields": {
    "provider": "openai",
    "model_requested": "string",
    "request_type": "string"
  }
}
On this page

On this page

No Headings